# Function

Static Public Summary
public | getCountries (lang: String): Array Returns the ISO 3166-1 list of countries translated in the language passed as a parameter |
public | getCountry (lang: String, countryCode: String): String Returns the translation for the country code passed as a parameter in the language passed as a parameter |
public | getLanguage (lang: String, langCode: String): String Returns the translation for the language code passed as a parameter in the language passed as a parameter |
public | getLanguages (lang: String): Array Returns the ISO 639-1 list of languages translated in the language passed as a parameter |
public | getSupportedLangs (): Array Returns the list of supported languages |

## Static Public

### public getCountries(lang: String): Array source

Returns the ISO 3166-1 list of countries translated in the language passed as a parameter

#### Params:

Name | Type | Attribute | Description
lang | String |  | The desired language for the translation

#### Return:

Array | The countries list

### public getCountry(lang: String, countryCode: String): String source

Returns the translation for the country code passed as a parameter in the language passed as a parameter

#### Params:

Name | Type | Attribute | Description
lang | String |  | The languages desired for the translation
countryCode | String |  | The country code for which to return the country name

#### Return:

String | The translated country name

### public getLanguage(lang: String, langCode: String): String source

Returns the translation for the language code passed as a parameter in the language passed as a parameter

#### Params:

Name | Type | Attribute | Description
lang | String |  | The languages desired for the translation
langCode | String |  | The language code for which to return the cuntry name

#### Return:

String | The translated country name

### public getLanguages(lang: String): Array source

Returns the ISO 639-1 list of languages translated in the language passed as a parameter

#### Params:

Name | Type | Attribute | Description
lang | String |  | The desired language for the translation

#### Return:

Array | The language list

### public getSupportedLangs(): Array source

Returns the list of supported languages

#### Return:

Array | The list of all the supported languages